> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom fields

> Get all custom field definitions for a project.



## OpenAPI

````yaml /openapi.json get /custom-field/project/{projectId}
openapi: 3.1.0
info:
  title: Kaneo API
  version: 1.0.0
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
paths:
  /custom-field/project/{projectId}:
    get:
      tags:
        - Custom Fields
      summary: Get custom fields
      description: Get all custom field definitions for a project.
      operationId: getCustomFieldsByProject
      parameters:
        - schema:
            type: string
          required: true
          name: projectId
          in: path
      responses:
        '200':
          description: List of custom field definitions
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomFieldDefinition'
        '400':
          description: Unknown project, or its workspace could not be determined
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Missing or invalid credentials
        '403':
          description: No access to the project's workspace
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    CustomFieldDefinition:
      type: object
      properties:
        id:
          type: string
        projectId:
          type: string
        name:
          type: string
        type:
          type: string
        required:
          type: boolean
        defaultValue:
          type:
            - string
            - 'null'
        options: {}
        position:
          type: number
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - projectId
        - name
        - type
        - required
        - defaultValue
        - position
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or session token (Bearer)

````